iCalendlyDeveloper Docs
Cal unified calendars

GETList events for a connection

List events in a date range for a specific calendar connection. Only supported for Google Calendar connections; other connection types return 400.

GET/v2/calendars/connections/{connectionId}/events

Path Parameters

connectionIdRequiredstring

Calendar connection ID from GET /connections

Query Parameters

fromRequiredstring

Start of the date range (ISO 8601 date or date-time)

toRequiredstring

End of the date range (ISO 8601 date or date-time)

timeZonestring

IANA time zone for the request (e.g. America/New_York)

calendarIdstring

Calendar ID. Use 'primary' for the user's primary calendar, or the external ID of a connected calendar.

Default: "primary"

Header Parameters

AuthorizationRequiredstring

value must be Bearer <token> where <token> is api key prefixed with cal_ or managed user access token

curl -X GET "https://example.com/v2/calendars/connections/<string>/events?from=2026-03-01&to=2026-03-31&timeZone=%3Cstring%3E&calendarId=primary" \
  -H "Authorization: <string>"

{
  "status": "success",
  "data": [
    {
      "start": {
        "time": "2019-08-24T14:15:22Z",
        "timeZone": "string"
      },
      "end": {
        "time": "2019-08-24T14:15:22Z",
        "timeZone": "string"
      },
      "id": "string",
      "title": "string",
      "description": "string",
      "locations": [
        {
          "type": "video",
          "url": "string",
          "label": "string",
          "password": "string",
          "meetingCode": "string",
          "accessCode": "string"
        }
      ],
      "attendees": [
        {
          "email": "string",
          "name": "string",
          "responseStatus": "accepted",
          "self": true,
          "optional": true,
          "host": true
        }
      ],
      "status": "accepted",
      "hosts": [
        {
          "email": "string",
          "name": "string",
          "responseStatus": "accepted"
        }
      ],
      "calendarEventOwner": {
        "email": "string",
        "name": "string"
      },
      "source": "google"
    }
  ]
}